> This page is for Postman API Docs.

> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Get a team

GET https://api.postman.com/teams/{teamId}

Gets information about a Postman team.

Reference: https://learning.postman.com/api-docs/api-reference/teams/get-team

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Path parameters

- `teamId` (integer, required) — The team's ID.

### Query parameters

- `include` (enum, optional) — Include additional information in the request's response: - `members` — Include all users and groups, including groups that represent other teams or the entire organization, with access to the team's entities. This includes team managers, members, and persons invited to collaborate as guests. - `userRoles` — Include all the team's user roles in the response.
  - Allowed values: `members`, `userRoles`

### Headers

- `identifierType` (string, optional) — Use SCIM user and group IDs instead of Postman user IDs.

## Response

### 200

Successful Response

- `team` (CreateGetTeamResponseTeam, optional) — Information about the team.

## Errors

### 400 Bad Request Error

Bad Request

- `GetTeamRequestBadRequestError`
  - Teams API Error Schema: teamsError
  - Error (Type, Title, Detail, Status, Instance): commonErrorTypeTitleDetailStatusInstance

### 401 Unauthorized Error

Unauthorized

- `type` (string, optional) — The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that identifies the type of problem.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — An explanation about the problem.
- `status` (integer, optional) — The HTTP status code generated by the origin server.
- `instance` (string, optional) — The URI reference that identifies the specific occurrence of the problem.

### 500 Internal Server Error

Internal Server Error

- `type` (string, optional) — The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that identifies the type of problem.
- `status` (integer, optional) — The HTTP status code generated by the origin server.
- `title` (string, optional) — A short summary of the problem.
- `detail` (TeamsErrorDetail, optional) — Information about the error.
- `instance` (string, optional) — The URI reference that identifies the specific occurrence of the problem.

## Types

### CreateGetTeamResponseTeam

Information about the team.

- `createdAt` (datetime, optional) — The date and time at which the team was created.
- `updatedAt` (datetime, optional) — The date and time at which the team was last updated.
- `id` (integer, optional) — The team's ID.
- `name` (string, optional) — The team's name.
- `handle` (string, optional) — The team's handle.
- `description` (string, optional) — A description about the team.
- `organizationId` (integer, optional) — The team's organization ID.
- `createdBy` (CreateGetTeamResponseTeamCreatedBy, optional) — The user ID of the user who created the team.
- `enabled` (boolean, optional) — If true, the team is active.

### teamsError

- `type` (string, optional) — The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that identifies the type of problem.
- `status` (integer, optional) — The HTTP status code generated by the origin server.
- `title` (string, optional) — A short summary of the problem.
- `detail` (TeamsErrorDetail, optional) — Information about the error.
- `instance` (string, optional) — The URI reference that identifies the specific occurrence of the problem.

### commonErrorTypeTitleDetailStatusInstance

- `type` (string, optional) — The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that identifies the type of problem.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — An explanation about the problem.
- `status` (integer, optional) — The HTTP status code generated by the origin server.
- `instance` (string, optional) — The URI reference that identifies the specific occurrence of the problem.

### TeamsErrorDetail

Information about the error.

- Error Details: teamsErrorDetail
- Invalid Entries for Manage Team Member Roles: teamsErrorDetailInvalidEntries

### CreateGetTeamResponseTeamCreatedBy

The user ID of the user who created the team.

- integer
- string

### teamsErrorDetail

An explanation about the problem.

- `error` (TeamsErrorDetailError, optional) — Information about the error.

### teamsErrorDetailInvalidEntries

An explanation about the problem.

- `error` (string, optional) — The error message.
- `result` (list of TeamsErrorDetailInvalidEntriesResultItems, optional) — A list of invalid entities.

### TeamsErrorDetailError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.

### TeamsErrorDetailInvalidEntriesResultItems

- `entityType` (string, optional) — The entity type.
- `entityId` (TeamsErrorDetailInvalidEntriesResultItemsEntityId, optional) — The entity ID.
- `role` (string, optional, nullable) — The assigned role.
- `status` (string, optional) — The `Invalid` response status.
- `reason` (string, optional) — The reason for the error.

### TeamsErrorDetailInvalidEntriesResultItemsEntityId

The entity ID.

- integer
- string

## Examples

### Successful Response

**Response**

```json
{
  "team": {
    "createdAt": "2025-02-26T08:17:42.000Z",
    "updatedAt": "2025-02-26T08:17:42.000Z",
    "id": 123,
    "name": "Testing Team",
    "handle": "testing-team",
    "description": "API testing team.",
    "organizationId": 1,
    "createdBy": 12345678,
    "enabled": true
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.postman.com/teams/123"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.postman.com/teams/123';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/teams/123"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/teams/123")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/teams/123")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/teams/123', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.postman.com/teams/123");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/teams/123")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Successful Response with SCIM IDs

**Response**

```json
{
  "team": {
    "createdAt": "2025-02-26T08:17:42.000Z",
    "updatedAt": "2025-02-26T08:17:42.000Z",
    "id": 123,
    "name": "Testing Team",
    "handle": "testing-team",
    "description": "API testing team.",
    "organizationId": 1,
    "createdBy": "33d8e85cc5ec04715bb0c18b42312d80413bad8a96622eb7",
    "enabled": true
  }
}
```

**SDK Code**

```python Successful Response with SCIM IDs
import requests

url = "https://api.postman.com/teams/123"

headers = {
    "identifierType": "scim",
    "x-api-key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response with SCIM IDs
const url = 'https://api.postman.com/teams/123';
const options = {method: 'GET', headers: {identifierType: 'scim', 'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response with SCIM IDs
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/teams/123"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("identifierType", "scim")
	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response with SCIM IDs
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/teams/123")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["identifierType"] = 'scim'
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response with SCIM IDs
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/teams/123")
  .header("identifierType", "scim")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response with SCIM IDs
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/teams/123', [
  'headers' => [
    'identifierType' => 'scim',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response with SCIM IDs
using RestSharp;

var client = new RestClient("https://api.postman.com/teams/123");
var request = new RestRequest(Method.GET);
request.AddHeader("identifierType", "scim");
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response with SCIM IDs
import Foundation

let headers = [
  "identifierType": "scim",
  "x-api-key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/teams/123")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response with include=members

**Response**

```json
{
  "team": {
    "createdAt": "2025-07-30T17:18:00.000Z",
    "updatedAt": "2025-07-30T17:18:00.000Z",
    "id": 123,
    "name": "Testing Team",
    "handle": "testing-team",
    "description": "API testing team.",
    "organizationId": 1,
    "createdBy": 12345678,
    "enabled": true,
    "memberCount": 4,
    "members": {
      "group": {},
      "team": {
        "123": {
          "roles": [
            "TEAM_GUEST_DEVELOPER"
          ]
        }
      },
      "user": {
        "11234567": {
          "roles": [
            "TEAM_DEVELOPER"
          ]
        },
        "12345678": {
          "roles": [
            "TEAM_MANAGER"
          ]
        },
        "12348765": {
          "roles": [
            "TEAM_GUEST_VIEWER"
          ]
        },
        "12457834": {
          "roles": [
            "TEAM_DEVELOPER"
          ]
        },
        "87456321": {
          "roles": [
            "TEAM_DEVELOPER"
          ]
        },
        "87654321": {
          "roles": [
            "TEAM_GUEST_VIEWER"
          ]
        }
      }
    }
  }
}
```

**SDK Code**

```python Response with include=members
import requests

url = "https://api.postman.com/teams/123"

querystring = {"include":"members"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Response with include=members
const url = 'https://api.postman.com/teams/123?include=members';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response with include=members
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/teams/123?include=members"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response with include=members
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/teams/123?include=members")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response with include=members
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/teams/123?include=members")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Response with include=members
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/teams/123?include=members', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response with include=members
using RestSharp;

var client = new RestClient("https://api.postman.com/teams/123?include=members");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response with include=members
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/teams/123?include=members")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response with include=members and SCIM IDs

**Response**

```json
{
  "team": {
    "createdAt": "2025-07-30T17:18:00.000Z",
    "updatedAt": "2025-07-30T17:18:00.000Z",
    "id": 123,
    "name": "Testing Team",
    "handle": "testing-team",
    "description": "API testing team.",
    "organizationId": 1,
    "createdBy": "f10ba7a8dac248e8fd9769163dc63aef920f3897c7ea2c86",
    "enabled": true,
    "memberCount": 4,
    "members": {
      "group": {},
      "team": {
        "123": {
          "roles": [
            "TEAM_GUEST_DEVELOPER"
          ]
        }
      },
      "user": {
        "87654321": {
          "roles": [
            "TEAM_GUEST_VIEWER"
          ]
        },
        "g0e46a85252b1d70c7ea9875e8a48c278f5160e53f2396b4": {
          "roles": [
            "TEAM_DEVELOPER"
          ]
        },
        "g1eeb33164158e1dedc80cc79b405e3f977b11682d47b200": {
          "roles": [
            "TEAM_GUEST_VIEWER"
          ]
        },
        "g653804770fd23fdd61ebbaa7906c115f546576215335fdb": {
          "roles": [
            "TEAM_DEVELOPER"
          ]
        },
        "g90b4ca5dd393c8cd81a1793d7f48bb96b003bfbb4b2384c": {
          "roles": [
            "TEAM_MANAGER"
          ]
        },
        "gad7759db6fa9f709d54c9bf129ba0933400f1846c9d9480": {
          "roles": [
            "TEAM_DEVELOPER"
          ]
        }
      }
    }
  }
}
```

**SDK Code**

```python Response with include=members and SCIM IDs
import requests

url = "https://api.postman.com/teams/123"

querystring = {"include":"members"}

headers = {
    "identifierType": "scim",
    "x-api-key": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Response with include=members and SCIM IDs
const url = 'https://api.postman.com/teams/123?include=members';
const options = {method: 'GET', headers: {identifierType: 'scim', 'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response with include=members and SCIM IDs
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/teams/123?include=members"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("identifierType", "scim")
	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response with include=members and SCIM IDs
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/teams/123?include=members")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["identifierType"] = 'scim'
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response with include=members and SCIM IDs
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/teams/123?include=members")
  .header("identifierType", "scim")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Response with include=members and SCIM IDs
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/teams/123?include=members', [
  'headers' => [
    'identifierType' => 'scim',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response with include=members and SCIM IDs
using RestSharp;

var client = new RestClient("https://api.postman.com/teams/123?include=members");
var request = new RestRequest(Method.GET);
request.AddHeader("identifierType", "scim");
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response with include=members and SCIM IDs
import Foundation

let headers = [
  "identifierType": "scim",
  "x-api-key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/teams/123?include=members")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```